Get Specific Dataflow

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflows/{dataflowId}

Return specific Dataflow.

Path parameters

  • dataflowId string Required

    id of the Dataflow

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • _id string

      id of the Node

    • name string

      name of the Node

    • description string

      description of the Dataflow

    • owningEntity string

      owner of the Dataflow

    • trustedEntities array
    • entity string

      id of the Entity that has access to the Dataflow

    • accessLevel string

      Access Level

    • nodes array
    • type string

      type of the Node

    • recordCount number

      Number of record count

    • node number

      index of the Node

    • nodeType string

      Node Type

    • source number

      Source Index

    • target number

      Target Index

    • value number

      Currently not used. Default to 1

    • status number

      Currently not used

    • CREATED_DATE string

      Created Date

    • CREATED_BY string

      Name of the person created this Dataflow

    • MODIFIED_DATE string

      Modified Date

    • MODIFIED_BY string

      Name of the last person modified this Dataflow

    • maxObjectsPerDataflow number

      Number of objects allowed per Dataflow

    • errorNotificationEmail string

      The email or email addresses to send error notifications to. Multiple emails must be separated by a comma.

    • enableErrorEmailNotifications string

      Indicates if the error email notifications will be enabled.

GET /dataflows/{dataflowId}
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "_id": "56ee30b8b251c553547ac88e",
  "name": "DF14",
  "description": "",
  "owningEntity": "demo_5000",
  "trustedEntities": [
    {
      "entity": "5684058f159fffbe29ff9912",
      "accessLevel": "READWRITE"
    }
  ],
  "nodes": [
    {
      "_id": "56ee30c2b251c553547ac88f",
      "name": "df14",
      "type": "recordset",
      "recordCount": 0,
      "node": 0,
      "nodeType": "node"
    },
    {
      "_id": "56eec562b251c553547ac8ad",
      "name": "df24",
      "type": "recordset",
      "recordCount": 0,
      "node": 1,
      "nodeType": "node"
    },
    {
      "_id": "56ef61e1f67f7c386d75852e",
      "name": "wh_df24",
      "type": "webhook",
      "node": 2,
      "nodeType": "input",
      "nodeRecordSetId": "56eec562b251c553547ac8ad"
    },
    {
      "_id": "56f038bbf67f7c386d7585fa",
      "name": "ss",
      "type": "slack",
      "nodeType": "output",
      "nodeRecordSetId": "56ee30c2b251c553547ac88f",
      "node": 3
    }
  ],
  "links": [
    {
      "source": 0,
      "target": 3,
      "value": 1
    }
  ],
  "status": 0,
  "CREATED_DATE": "2016-03-21T18:08:59.656Z",
  "CREATED_BY": "5684058f159fffbe29ff9912",
  "MODIFIED_DATE": "2016-03-21T18:08:59.656Z",
  "MODIFIED_BY": "5684058f159fffbe29ff9912",
  "maxObjectsPerDataflow": 20
}